Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Java] Class DataBindingLazyMetaPropertyMap

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.LazyMetaPropertyMap
          org.codehaus.groovy.grails.web.binding.DataBindingLazyMetaPropertyMap

    public class DataBindingLazyMetaPropertyMap
    extends LazyMetaPropertyMap

Extends the default implementation and does data binding.

Authors:
  Graeme Rocher

Since:
  1.1

Constructor Summary
`DataBindingLazyMetaPropertyMap(java.lang.Object o)` Constructs the map

Method Summary
`java.lang.Object` | `put(java.lang.Object propertyName, java.lang.Object propertyValue)`

Methods inherited from class LazyMetaPropertyMap
clear, containsKey, containsValue, entrySet, equals, get, getInstance, hashCode, isEmpty, keySet, put, putAll, remove, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DataBindingLazyMetaPropertyMap

    public DataBindingLazyMetaPropertyMap(java.lang.Object o)

  Constructs the map
  Parameters:
    `o` - The object to inspect

Method Detail

### put

    @java.lang.SuppressWarnings("rawtypes")
    @java.lang.Override
    public java.lang.Object put(java.lang.Object propertyName, java.lang.Object propertyValue)

Groovy Documentation